Open CASCADE Technology: IGESDraw_ToolViewsVisibleWithAttr Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESDraw_ToolViewsVisibleWithAttr Class Reference

Tool to work on a ViewsVisibleWithAttr. Called by various Modules (ReadWriteModule, GeneralModule, SpecificModule) More...

`#include <IGESDraw_ToolViewsVisibleWithAttr.hxx>`

## Public Member Functions
| IGESDraw_ToolViewsVisibleWithAttr ()
| Returns a ToolViewsVisibleWithAttr, ready to work. More...
void | ReadOwnParams (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent, const Handle< IGESData_IGESReaderData > &IR, IGESData_ParamReader &PR) const
| Reads own parameters from file. <PR> gives access to them, <IR> detains parameter types and values. More...
void | WriteOwnParams (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter. More...
void | OwnShared (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a ViewsVisibleWithAttr <ent>, from its specific (own) parameters shared not implied, i.e. all but the Displayed Entities. More...
void | OwnImplied (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a ViewsVisible <ent>, from its specific (own) implied parameters : the Displayed Entities. More...
IGESData_DirChecker | DirChecker (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent) const
| Returns specific DirChecker. More...
void | OwnCheck (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent, const Interface_ShareTool &shares, Handle< Interface_Check > &ach) const
| Performs Specific Semantic Check. More...
void | OwnCopy (const Handle< IGESDraw_ViewsVisibleWithAttr > &entfrom, const Handle< IGESDraw_ViewsVisibleWithAttr > &entto, Interface_CopyTool &TC) const
| Copies Specific Parameters shared not implied, i.e. all but the Displayed Entities. More...
void | OwnRenew (const Handle< IGESDraw_ViewsVisibleWithAttr > &entfrom, const Handle< IGESDraw_ViewsVisibleWithAttr > &entto, const Interface_CopyTool &TC) const
| Copies Specific implied Parameters : the Displayed Entities which have already been copied. More...
void | OwnWhenDelete (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent) const
| Clears specific implied parameters, which cause looping structures; required for deletion. More...
void | OwnDump (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent, const IGESData_IGESDumper &dumper, const Handle< Message_Messenger > &S, const Standard_Integer own) const
| Dump of Specific Parameters. More...
Standard_Boolean | OwnCorrect (const Handle< IGESDraw_ViewsVisibleWithAttr > &ent) const
| Sets automatic unambiguous Correction on a ViewsVisibleWithAttr (all displayed entities must refer to <ent> in directory part, else the list is cleared) More...

## Detailed Description

Tool to work on a ViewsVisibleWithAttr. Called by various Modules (ReadWriteModule, GeneralModule, SpecificModule)

## Constructor & Destructor Documentation

IGESDraw_ToolViewsVisibleWithAttr::IGESDraw_ToolViewsVisibleWithAttr | ( |  | ) |

Returns a ToolViewsVisibleWithAttr, ready to work.

## Member Function Documentation

IGESData_DirChecker IGESDraw_ToolViewsVisibleWithAttr::DirChecker | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent | ) | const

Returns specific DirChecker.

void IGESDraw_ToolViewsVisibleWithAttr::OwnCheck | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle< Interface_Check > & | ach
| ) |  | const

Performs Specific Semantic Check.

void IGESDraw_ToolViewsVisibleWithAttr::OwnCopy | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | entfrom,
|  | const Handle< IGESDraw_ViewsVisibleWithAttr > & | entto,
|  | Interface_CopyTool & | TC
| ) |  | const

Copies Specific Parameters shared not implied, i.e. all but the Displayed Entities.

Standard_Boolean IGESDraw_ToolViewsVisibleWithAttr::OwnCorrect | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent | ) | const

Sets automatic unambiguous Correction on a ViewsVisibleWithAttr (all displayed entities must refer to <ent> in directory part, else the list is cleared)

void IGESDraw_ToolViewsVisibleWithAttr::OwnDump | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle< Message_Messenger > & | S,
|  | const Standard_Integer | own
| ) |  | const

Dump of Specific Parameters.

void IGESDraw_ToolViewsVisibleWithAttr::OwnImplied | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const

Lists the Entities shared by a ViewsVisible <ent>, from its specific (own) implied parameters : the Displayed Entities.

void IGESDraw_ToolViewsVisibleWithAttr::OwnRenew | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | entfrom,
|  | const Handle< IGESDraw_ViewsVisibleWithAttr > & | entto,
|  | const Interface_CopyTool & | TC
| ) |  | const

Copies Specific implied Parameters : the Displayed Entities which have already been copied.

void IGESDraw_ToolViewsVisibleWithAttr::OwnShared | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const

Lists the Entities shared by a ViewsVisibleWithAttr <ent>, from its specific (own) parameters shared not implied, i.e. all but the Displayed Entities.

void IGESDraw_ToolViewsVisibleWithAttr::OwnWhenDelete | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent | ) | const

Clears specific implied parameters, which cause looping structures; required for deletion.

void IGESDraw_ToolViewsVisibleWithAttr::ReadOwnParams | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent,
|  | const Handle< IGESData_IGESReaderData > & | IR,
|  | IGESData_ParamReader & | PR
| ) |  | const

Reads own parameters from file. <PR> gives access to them, <IR> detains parameter types and values.

void IGESDraw_ToolViewsVisibleWithAttr::WriteOwnParams | ( | const Handle< IGESDraw_ViewsVisibleWithAttr > & | ent,
|  | IGESData_IGESWriter & | IW
| ) |  | const

Writes own parameters to IGESWriter.

The documentation for this class was generated from the following file:

- IGESDraw_ToolViewsVisibleWithAttr.hxx